from typing import NamedTuple

from algorithms.mu_zero.node import MuZeroNode
from algorithms.utils.types import StateFeature, Value, ChancePolicy, ChoicePolicy, TauPolicy, SpielAction, ActionImage, \
    Player


class MuZeroHistoryItem(NamedTuple):
    state_feature: StateFeature
    value: Value
    chance_target: ChancePolicy
    choice_target: ChoicePolicy
    tau_target: TauPolicy
    action: SpielAction
    action_image: ActionImage
    state_string: str
    active_player: Player
    node: MuZeroNode
